%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		aisleriot
Version:	3.6.2
Release:	%mkrel 5
Url:		http://live.gnome.org/Aisleriot
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		aisleriot-3.3.2-help_linguas.patch
Patch1:		aisleriot-3.6.2-unlimited-redeals.patch
Summary:	A compilation of solitaire card games
License:	GPLv3+
Group:		Games/Cards
Conflicts:	gnome-games < 2.29.6-2
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(guile-2.0) >= 2.0.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(sm)
BuildRequires:	intltool
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-dtds
BuildRequires:	rpm-mageia-setup-build >= 1.144
BuildRequires:	guile
# For autoreconf, due to Patch0
BuildRequires:	gettext-devel

%description
Aisleriot (also known as Solitaire or sol) is a collection of card games
which are easy to play with the aid of a mouse. The rules for the games
have been coded for your pleasure in the GNOME scripting language (Scheme).

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--disable-schemas-compile \
	--disable-schemas-install \
	--disable-static
%make V=1

%install
%makeinstall_std

%find_lang %{name} --with-help

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/sol
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_libdir}/valgrind/aisleriot.supp
%{_datadir}/applications/sol.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_iconsdir}/hicolor/*/apps/gnome-aisleriot.*
%{_iconsdir}/hicolor/*/apps/gnome-freecell.*
%{_mandir}/man6/sol.*
%{_datadir}/%{name}/


%changelog

* Sun Feb 03 2013 wally <wally> 3.6.2-5.mga3
+ Revision: 394277
- add patch from upstream git to add unlimited redeals option to klondike

* Sun Feb 03 2013 wally <wally> 3.6.2-4.mga3
+ Revision: 394256
- remove setuid bit (mga#8778)
- enable Werror flags

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 345357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 337863
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317418
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307181
- new version 3.6.1

* Sun Sep 30 2012 shlomif <shlomif> 3.6.0-2.mga3
+ Revision: 300678
- Move to a more appropriate group

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297413
- new version 3.6.0

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282610
- update file list
- drop merged patch
-new version 3.5.90

* Thu Jun 28 2012 wally <wally> 3.5.0-1.mga3
+ Revision: 264681
- add patch from upstream git to fix build

  + ovitters <ovitters>
    - new version 3.5.0

* Thu Apr 19 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231817
- update buildrequires
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226838
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226632
- new version 3.4.0

* Thu Mar 22 2012 pterjan <pterjan> 3.3.2-1.mga2
+ Revision: 225605
- BuildRequire gettext-devel
- Add valgrind suppression to file list
- Fix build of help translations by only listing translated languages

  + tv <tv>
    - add more BR

  + fwang <fwang>
    - try verbose build
    - new version 3.3.2

* Wed Dec 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 188406
- new version 3.3.1
- bump guile dep

* Mon Nov 21 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 170467
- new version 3.3.0

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167780
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155711
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148639
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-2.mga2
+ Revision: 145272
- build with latest find_lang

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145257
- update file list
- update file list
- update br
- new version 3.1.92

  + wally <wally>
    - new version 3.1.1

* Wed Jul 06 2011 wally <wally> 3.1.0-1.mga2
+ Revision: 119472
- imported package aisleriot

